Subject: [bug#42958] [PATCH core-updates 02/29] gnu: yelp-tools: Update package definition.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 30 Aug 2020 22:54:22 +0200

Hi!

Danny Milosavljevic <[email-masked]> skribis:

> From: Raghav Gururajan <[email-masked]>
>
> * gnu/packages/gnome.scm (yelp-tools): Update package definition.
> [propagated-inputs]: Move itstool, libxml2 and libxslt to ...
> [native-inputs]: ... here.
> [synopsis]: Modify.
> [description]: Modify.
>
> Signed-off-by: Danny Milosavljevic <[email-masked]>

I think “Update package definition” is not descriptive: it should be
either “Update to 3.36” (for a version update), or “Move build-time tool
to 'native-inputs'”, or “Tweak synopsis and description”.  But then,
these are different kinds of changes (I know, you’ll hate me for
suggesting another rebase…).  I find it important to clearly communicate
among us what a change does.

WDYT?

Also, while it’s maybe more convenient for Outreachy, I think many of
these changes could have gone one by one on ‘master’ over time, like
Raghav used to do.  That avoids the pressure associated with a 29-patch
review.

> +    (synopsis "Tools for Yelp")
> +    (description "Yelp-Tools contains small programs that help you create, edit,
> +manage, and publish your Mallard or DocBook documentation.")
>      (home-page "https://wiki.gnome.org/Apps/Yelp/Tools")
> -    (synopsis "Yelp documentation tools")
> -    (description
> -     "Yelp-tools is a collection of scripts and build utilities to help create,
> -manage, and publish documentation for Yelp and the web.  Most of the heavy
> -lifting is done by packages like yelp-xsl and itstool.  This package just
> -wraps things up in a developer-friendly way.")

This particular change is questionable IMO.

Anyhow, thanks to the two of you for all the work!

Ludo’.